﻿.products-banner-box{
    display: block;
    width: 100%;
    font-size: 0;
    margin-top: 136px;
}
.products-banner-img-box{
    width: 100%;
    height: 400px;
    display: block;
    position: relative;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
}
.products-banner-title{
    font-size: 40px;
    color: #000;
    font-family: 'cwTeXMing', serif;
    letter-spacing: 5px;
    position: relative;
    top: 280px;
    width: 1200px;
    margin: 0 auto;
    display: block;
}
.products-box{
    margin-top: 140px;
}

.products-main-box{
    display: block;
    width: 1215px;
    max-width: 100%;
    margin: 0 auto;
    box-sizing: border-box;
    padding-bottom: 100px;
    font-size: 0;
    min-height: calc(100vh - 487px);
}

.products-path-box{
    box-sizing: border-box;
    padding: 10px;
    margin-top: 10px;
}
.products-path{
    display: inline-block;
    font-size: 20px;
    /* font-family: 'cwTeXMing', serif; */
    letter-spacing: 1px;
    color: #888888;
    position: relative;
    margin-left: 30px;
    transition: all .5s ease;
}
.products-path:before{
    content: '';
    background-color: #888;
    width: 100%;
    height: 1px;
    position: absolute;
    bottom: 5px;
    left: 0;
    opacity: 0;
    transition: all .5s ease;
}
.products-path:after{
    content: '>';
    font-size: 20px;
    color: #888;
    position: absolute;
    top: 0;
    right: -20px;
    cursor: default;
}
.products-path:nth-child(1){
    margin-left: 0;
}
.products-path:last-child{
    color: #888;
}
.products-path:last-child:after{
    content: '';
}
.products-info-box{
    width: 100%;
    display: block;
    box-sizing: border-box;
}
.products-info{
    width: 300px;
    display: inline-block;
    background-color: #fff;
    box-sizing: border-box;
    padding: 10px;
    padding-bottom: 6px;
    margin-left: 5px;
    text-align: center;
    transition: all .3s linear;
}
.products-info:nth-child(2n + 1){
    margin-left: 0;
}
.products-info-img-box{
    display: block;
    width: 280px;
    height: 280px;
    box-sizing: border-box;
    overflow: hidden;
    position: relative;
    margin: 0 auto;
}
.products-info-img{
    height: 100%;
    width: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: all .3s linear;
    position: relative;
}
.products-info-buycar-box{
    width: 60%;
    font-size: 20px;
    display: block;
    text-align: center;
    border: 2px solid #2f7da7;
    z-index: 2;
    box-sizing: border-box;
    padding: 4px 5px;
    cursor: pointer;
    transition: all .3s linear;
}
.products-info-buycar{
    color: #2f7da7;
    font-weight: bold;
    transition: all .3s linear
}
.products-info-buycar-mask{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    background-color: #fff;
    opacity: 0.5;
}
.products-info-text-box{
    display: block;
    color: #389cd2;
    font-size: 18px;
    margin-top: 12px;
    transition: all .3s linear;
}
.products-info-text-price-box{
    display: block;
    transition: all .3s linear;
}
.products-info-text-price-before{
    min-width: 40px;
    display: inline-block;
    color: #888;
    font-size: 14px;
    text-decoration:line-through;
    margin-right: 20px;
    transition: all .3s linear;
}
.products-info-text-price-now{
    display: inline-block;
    min-width: 40px;
    color: #e7141e;
    font-size: 24px;
    letter-spacing: 1px;
    margin: 0 auto;
    transition: all .3s linear;
}
.products-info-img-hover{
    height: 100%;
    width: 100%;
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: all .3s linear;
    justify-content:center;
    align-items:center;
}
.noInformation{
    font-size: 16px;
}

/*<-------------hover------------->*/
.products-info:hover{
    background-color: #389cd2;
}
.products-info:hover .products-info-text-box{
    color: #fff;
}
.products-info:hover .products-info-text-price-now{
    color: #fff;
}
.products-info:hover .products-info-text-price-before{
    color: #ddd;
}
.products-info:hover .products-info-img{
    background-image: none;
}
.products-info:hover .products-info-buycar-box{
    opacity: 1;
}
.products-path:hover:before{
    opacity: 1;
}
.products-path:hover:last-child:before{
    opacity: 0;
}

.products-info:hover .products-info-img-hover{
    opacity: 1;
}
.products-info-buycar-box:hover{
    background-color: #000;
}
.products-info-buycar-box:hover .products-info-buycar{
    color: #fff;
}

@media only screen and (max-width: 1215px){
    .products-banner-title{
        width: 95%;
    }
    .products-main-box{
        width: 1015px;
    }
    .products-info{
        width: 505px;
    }
    .products-info-img-box{
        width: 485px;
        height: 485px;
    }
}
@media only screen and (max-width: 1200px){
    .products-banner-box{
        margin-top: 77px;
    }
    .products-main-box{
        min-height: calc(100vh - 477px);
    }
}
@media only screen and (max-width: 1015px){
    .products-main-box{
        width: 815px;
    }
    .products-info{
        width: 405px;
    }
    .products-info-img-box{
        width: 385px;
        height: 385px;
    }
    .products-info-box{
        margin-top: 10px;
    }
    .products-banner-title{
        font-size: 32px;
        top: 200px;
    }
    .products-banner-img-box{
        height: 300px;
    }
    .products-main-box{
        min-height: calc(100vh - 377px);
    }
    .products-info-text-box{
        font-size: 20px;
    }
    .products-info-text-price-before{
        font-size: 16px;
    }
    .products-info-text-price-now{
        font-size: 16px;
    }
}
@media only screen and (max-width: 1000px){
    .products-path-box{
        display: none;
    }
    .products-banner-box{
        margin-top: 72px;
    }
    .products-main-box{
        min-height: calc(100vh - 362px);
    }
}
@media only screen and (max-width: 815px){
    .products-main-box{
        width: 615px;
        padding-bottom: 60px;
    }
    .products-info{
        width: 305px;
    }
    .products-info-img-box{
        width: 285px;
        height: 285px;
    }
    .products-info-text-box{
        font-size: 18px;
    }
    .products-info-text-price-before{
        font-size: 14px;
    }
    .products-info-text-price-now{
        font-size: 14px;
    }
}
@media only screen and (max-width: 800px){
    .products-banner-box{
        margin-top: 54px;
    }
    .products-main-box{
        min-height: calc(100vh - 354px);
    }
}

@media only screen and (max-width: 615px){
    .products-main-box{
        width: 415px;
        padding-bottom: 30px;
    }
    .products-banner-title{
        font-size: 26px;
        top: 130px;
    }
    .products-banner-img-box{
        height: 200px;
    }
    .products-main-box{
        min-height: calc(100vh - 254px);
    }
    .products-info{
        width: 205px;
    }
    .products-info-img-box{
        width: 185px;
        height: 185px;
    }
    .products-info-text-box{
        font-size: 14px;
    }
    .products-info-text-price-before{
        font-size: 12px;
    }
    .products-info-text-price-now{
        font-size: 12px;
    }
}
@media only screen and (max-width: 550px){
    .products-banner-box{
        margin-top: 69px;
    }
}
@media only screen and (max-width: 415px){
    .products-info-text-price-before{
        font-size: 12px;
        margin-right: 10px;
    }
    .products-info-text-price-now,
    .products-info-text-box{
        font-size: 16px;
    }
    .products-main-box{
        width: 315px;
    }
    .products-info{
        width: 100%;
    }
    .products-info:nth-child(n) {
        margin-left: 0;
    }
    .products-info-img-box{
        width: 100%;
        height: 280px;
    }
    .products-banner-title{
        font-size: 20px;
    }
}
@media only screen and (max-width: 400px){
    .products-main-box{
        min-height: calc(100vh - 249px);
    }
}

/*animation*/
/*<-------------動畫------------->*/

/*@keyframes example {
    0%{

    }
    to {
        
    }
}*/
@media only screen and (min-width: 1001px){
    .products-path-box{
        opacity: 0;
        animation: animation_ltor 1s ease 1 0s both;
    }
    .products-banner-title{
        opacity: 0;
        animation: animation_ttob 1s ease 1 0s both;
    }
    .products-info{
        opacity: 0;
    }
    .products-info.active{
        animation: animation_btot 1s ease 1 0s both;
    }
}